Package org.springframework.security.web.webauthn.api

# Class PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder

java.lang.Object
org.springframework.security.web.webauthn.api.PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder

Enclosing class:
  PublicKeyCredentialCreationOptions

public static final class PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder extends Object
Used to build `PublicKeyCredentialCreationOptions`.

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
`attestation(AttestationConveyancePreference attestation)`
Sets the `PublicKeyCredentialCreationOptions.getAttestation()` property.
`PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
`authenticatorSelection(AuthenticatorSelectionCriteria authenticatorSelection)`
Sets the `PublicKeyCredentialCreationOptions.getAuthenticatorSelection()` property.
`PublicKeyCredentialCreationOptions`
`build()`
Builds a new `PublicKeyCredentialCreationOptions`
`PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
`challenge(Bytes challenge)`
Sets the `PublicKeyCredentialCreationOptions.getChallenge()` property.
`PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
`customize(Consumer<PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder> customizer)`
Allows customizing the builder using the `Consumer` that is passed in.
`PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
`excludeCredentials(List<PublicKeyCredentialDescriptor> excludeCredentials)`
Sets the `PublicKeyCredentialCreationOptions.getExcludeCredentials()` property.
`PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
`extensions(AuthenticationExtensionsClientInputs extensions)`
Sets the `PublicKeyCredentialCreationOptions.getExtensions()` property.
`PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
`pubKeyCredParams(List<PublicKeyCredentialParameters> pubKeyCredParams)`
Sets the `PublicKeyCredentialCreationOptions.getPubKeyCredParams()` property.
`PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
`pubKeyCredParams(PublicKeyCredentialParameters... pubKeyCredParams)`
Sets the `PublicKeyCredentialCreationOptions.getPubKeyCredParams()` property.
`PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
`rp(PublicKeyCredentialRpEntity rp)`
Sets the `PublicKeyCredentialCreationOptions.getRp()` property.
`PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
`timeout(Duration timeout)`
Sets the `PublicKeyCredentialCreationOptions.getTimeout()` property.
`PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
`user(PublicKeyCredentialUserEntity user)`
Sets the `PublicKeyCredentialCreationOptions.getUser()` property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### rp

public PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder rp(PublicKeyCredentialRpEntity rp)
Sets the `PublicKeyCredentialCreationOptions.getRp()` property.

Parameters:
  `rp` - the relying party
Returns:
  the PublicKeyCredentialCreationOptionsBuilder

### user

public PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder user(PublicKeyCredentialUserEntity user)
Sets the `PublicKeyCredentialCreationOptions.getUser()` property.

Parameters:
  `user` - the user entity
Returns:
  the PublicKeyCredentialCreationOptionsBuilder

### challenge

public PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder challenge(Bytes challenge)
Sets the `PublicKeyCredentialCreationOptions.getChallenge()` property.

Parameters:
  `challenge` - the challenge
Returns:
  the PublicKeyCredentialCreationOptionsBuilder

### pubKeyCredParams

public PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder pubKeyCredParams(PublicKeyCredentialParameters... pubKeyCredParams)
Sets the `PublicKeyCredentialCreationOptions.getPubKeyCredParams()` property.

Parameters:
  `pubKeyCredParams` - the public key credential parameters
Returns:
  the PublicKeyCredentialCreationOptionsBuilder

### pubKeyCredParams

public PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder pubKeyCredParams(List<PublicKeyCredentialParameters> pubKeyCredParams)
Sets the `PublicKeyCredentialCreationOptions.getPubKeyCredParams()` property.

Parameters:
  `pubKeyCredParams` - the public key credential parameters
Returns:
  the PublicKeyCredentialCreationOptionsBuilder

### timeout

public PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder timeout(Duration timeout)
Sets the `PublicKeyCredentialCreationOptions.getTimeout()` property.

Parameters:
  `timeout` - the timeout
Returns:
  the PublicKeyCredentialCreationOptionsBuilder

### excludeCredentials

public PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder excludeCredentials(List<PublicKeyCredentialDescriptor> excludeCredentials)
Sets the `PublicKeyCredentialCreationOptions.getExcludeCredentials()` property.

Parameters:
  `excludeCredentials` - the excluded credentials.
Returns:
  the PublicKeyCredentialCreationOptionsBuilder

### authenticatorSelection

public PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder authenticatorSelection(AuthenticatorSelectionCriteria authenticatorSelection)
Sets the `PublicKeyCredentialCreationOptions.getAuthenticatorSelection()` property.

Parameters:
  `authenticatorSelection` - the authenticator selection
Returns:
  the PublicKeyCredentialCreationOptionsBuilder

### attestation

public PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder attestation(AttestationConveyancePreference attestation)
Sets the `PublicKeyCredentialCreationOptions.getAttestation()` property.

Parameters:
  `attestation` - the attestation
Returns:
  the PublicKeyCredentialCreationOptionsBuilder

### extensions

public PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder extensions(AuthenticationExtensionsClientInputs extensions)
Sets the `PublicKeyCredentialCreationOptions.getExtensions()` property.

Parameters:
  `extensions` - the extensions
Returns:
  the PublicKeyCredentialCreationOptionsBuilder

### customize

public PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder customize(Consumer<PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder> customizer)
Allows customizing the builder using the `Consumer` that is passed in.

Parameters:
  `customizer` - the `Consumer` that can be used to customize the `PublicKeyCredentialCreationOptions.PublicKeyCredentialCreationOptionsBuilder`
Returns:
  the PublicKeyCredentialCreationOptionsBuilder

### build

public PublicKeyCredentialCreationOptions build()
Builds a new `PublicKeyCredentialCreationOptions`

Returns:
  the new `PublicKeyCredentialCreationOptions`